datablock ParticleData(bumpercarsparkParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 50;
	lifetimeVarianceMS   = 20;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 1.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.9 0.9 0.9";
	sizes[0]      = 0.15;
	times[0]		= 0.1;

	useInvAlpha = true;
};
datablock ParticleEmitterData(bumpercarsparkEmitter)
{
   ejectionPeriodMS = 300;
   periodVarianceMS = 200;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "bumpercarsparkParticle";
   
};

datablock ShapeBaseImageData(sparkImage)
{
   shapeFile = "./empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= bumpercarsparkEmitter; 
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};

function sparkImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

function bumpercar2Gvehicle::onadd(%this,%obj)
{ 
	
	parent::onadd(%this,%obj);

	sparkCheck(%obj);
	    
}

function sparkCheck(%obj)
{
//	return;
	if(!isObject(%obj))
		return;

	%speed = vectorLen(%obj.getVelocity());
	if(%speed < %obj.dataBlock.minbumpercar2GvehicleSpeed)
	{
		if(%obj.getMountedImage(3) !$= "")
		{

			%obj.unMountImage(3);
		}
	}
	else
	{
		if(%obj.getMountedImage(3) $= 0)
		{

			%obj.mountImage(sparkImage,3);
		}
	}



	schedule(2000,0,"sparkCheck",%obj);
}