// bumpercar_tire.cs

datablock WheeledVehicleTire(bumpercar2GTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./empty.dts";
	
	mass = 5;
    radius = 1;
    staticFriction = 3;
   kineticFriction = 3;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 10000;
   lateralDamping = 4000;
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 10000;
   longitudinalDamping = 2000;
   longitudinalRelaxation = 0.01;
};

